Get Evaluation
curl --request GET \
--url https://api.egp.scale.com/v5/evaluations/{evaluation_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/evaluations/{evaluation_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"tags": [
"<string>"
],
"datasets": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"status": "failed",
"object": "evaluation",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"workflows": {
"total": 123,
"completed": 123,
"failed": 123,
"pending": 123
},
"items": {
"total": 123,
"successful": 123,
"failed": 123,
"pending": 123,
"failed_items": []
}
},
"tasks": [
{
"configuration": {
"model": "<string>",
"messages": [
{}
],
"top_k": 123,
"frequency_penalty": 123,
"function_call": {},
"functions": [
{}
],
"logit_bias": {},
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"metadata": {},
"modalities": [
"<string>"
],
"n": 123,
"parallel_tool_calls": true,
"prediction": {},
"presence_penalty": 123,
"reasoning_effort": "<string>",
"response_format": {},
"seed": 123,
"stop": "<string>",
"store": true,
"temperature": 123,
"tool_choice": "<string>",
"tools": [
{}
],
"top_logprobs": 123,
"top_p": 123,
"audio": {}
},
"task_type": "chat_completion",
"alias": "chat_completion"
}
],
"metadata": {},
"error_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
Get Evaluation
Retrieve a single evaluation by ID.
Returns the evaluation with its datasets, async-job progress, metadata, and task-error count.
Archived evaluations are excluded unless include_archived is set. Pass the tasks view to
include the evaluation’s task configurations in the response.
GET
/
v5
/
evaluations
/
{evaluation_id}
Get Evaluation
Authorizations
Headers
Path Parameters
Response
Successful Response
The identity that created the entity.
Show child attributes
Show child attributes
The tags associated with the entity
Show child attributes
Show child attributes
Available options:
failed, completed, running Allowed value:
"evaluation"Reason for evaluation status
Progress of the evaluation's underlying async job
Show child attributes
Show child attributes
tasks
(ChatCompletionEvaluationTask · object | GenericInferenceEvaluationTask · object | ApplicationVariantV1EvaluationTask · object | AgentexOutputEvaluationTask · object | MetricEvaluationTask · object | AutoEvaluationQuestionTask · object | AutoEvaluationGuidedDecodingEvaluationTask · object | AutoEvaluationAgentEvaluationTask · object | ContributorEvaluationQuestionTask · object | CustomFunctionEvaluationTask · object)[]
Tasks executed during evaluation. Populated with optional task view.
- ChatCompletionEvaluationTask
- GenericInferenceEvaluationTask
- ApplicationVariantV1EvaluationTask
- AgentexOutputEvaluationTask
- MetricEvaluationTask
- AutoEvaluationQuestionTask
- AutoEvaluationGuidedDecodingEvaluationTask
- AutoEvaluationAgentEvaluationTask
- ContributorEvaluationQuestionTask
- CustomFunctionEvaluationTask
Show child attributes
Show child attributes
Metadata key-value pairs for the evaluation
Number of task errors across all items in this evaluation.

